import Header from "@/Components/Header";
import React, { useEffect } from "react";
import Footer from "@/Components/Footer";
import InstagramFeeds from "@/Components/InstagramFeeds";
import { router, usePage, Link, Head } from "@inertiajs/react";
// import AdSense from "react-adsense";

export default function Destinations() {
    const { destinations, auth } = usePage().props;
    useEffect(() => {}, []);

    return (
        <>
            {" "}
            <Head title={`Tour Destinations`} />
            <div>
                {/*========== HEADER STYLE ONE START ==========*/}
                <Header fixed={false} />
                {/*========== HEADER STYLE ONE END ==========*/}
                {/*========== HERO STYLE ONE START ==========*/}
                <>
                    <>
                        {/*========== BREADCRUMB STYLE START ==========*/}
                        <div className="paralax-container lg:py-36 py-20 relative overflow-hidden">
                            <div
                                className="jarallax absolute inset-0 z-minus before:content-[''] before:absolute before:inset-0 before:bg-[#030610] before:bg-opacity-50 before:z-minus"
                                data-jarallax=""
                            >
                                <img
                                    className="jarallax-img"
                                    src="/assets/images/backgrounds/breadcrumb-bg.webp"
                                    alt="placeholder"
                                />
                            </div>
                            <img
                                src="/assets/images/illustration/breadcrunb__shape.png"
                                alt="placeholder"
                                className="absolute bottom-0 left-0 z-1 lg:w-[12.5%] w-[20%]"
                            />
                            <img
                                src="/assets/images/illustration/bird-illustration-w.png"
                                alt="placeholder"
                                className="absolute top-[10%] right-[4%] z-1 w-[7.5%]"
                            />
                            <div className="container relative z-2">
                                <nav aria-label="breadcrumb">
                                    <ol className="breadcrumb">
                                        <li>
                                            <a href="index.html">Home</a>
                                        </li>
                                        <li className="active_page">
                                            Destinations
                                        </li>
                                    </ol>
                                </nav>
                                <h2 className="xl:text-[54px] mt-2 lg:text-4xl md:text-2xl text-[30px] text-white leading-[1.3] font-medium max-w-[640px]">
                                    Choose Your Destination
                                </h2>
                            </div>
                        </div>
                        {/*========== BREADCRUMB STYLE END ==========*/}
                        {/*========== DESTINATION STYLE START ==========*/}
                        <div className="relative z-1 bg-gradient-to-t to-[#FFF1EC] from-white lg:pt-30 pt-24 ">
                            <div className="absolute top-1/2 -translate-y-1/2 right-0 max-w-[14%] z-minus lg:inline-block hidden">
                                <img
                                    src="/assets/images/illustration/tree-illustration.png"
                                    alt="leaf"
                                />
                            </div>
                            <div className="absolute top-[5%] left-[1%] max-w-[9%] z-minus lg:inline-block hidden">
                                <img
                                    src="/assets/images/illustration/bird-illustration.png"
                                    alt="leaf"
                                />
                            </div>
                            <div className="container">
                                <div className="text-center lg:pb-[60px] pb-[40px]">
                                    <h5 className="section-sub-title-v1 variant-2">
                                        Explore Our Tours
                                    </h5>
                                    <h2 className="section-title-v1">
                                        Top Attractions Destinations
                                    </h2>
                                </div>
                                <div className="grid lg:grid-cols-5 md:grid-cols-3 grid-cols-2 gap-base">
                                    {destinations.map((item, index) => {
                                        return (
                                            <Link
                                                href={`/destination/${
                                                    item.id
                                                }/${item.name.replace(
                                                    /\s+/g,
                                                    "-"
                                                )}`}
                                                key={index}
                                                className="text-center group "
                                            >
                                                <div className="shadow-custom-2 px-6 py-6 flex justify-center items-center lg:min-h-[200px] bg-white ">
                                                    <img
                                                        src={`/${item.image_cover}`}
                                                        alt={item.name}
                                                        className="group-hover:scale-110 duration-200 lg:h-[120px]"
                                                    />
                                                </div>
                                                <h4 className="lg:text-[22px] text-md font-medium text-dark-1 leading-1.6 lg:mt-7 mt-5">
                                                    <Link
                                                        href={`/destination/${
                                                            item.id
                                                        }/${item.name.replace(
                                                            /\s+/g,
                                                            "-"
                                                        )}`}
                                                    >
                                                        {item.name}
                                                    </Link>
                                                </h4>
                                                {/* <p className="font-medium lg:text-md text-sm mt-2 text-secondary-1">
                                                    10 Tours Place
                                                </p> */}
                                            </Link>
                                        );
                                    })}
                                </div>
                                {/* <div className="grid lg:grid-cols-5 md:grid-cols-3 grid-cols-2 gap-base">
                                    <AdSense.Google
                                        client="ca-pub-4460213849771600"
                                        slot="9496534220"
                                        style={{
                                            display: "block",
                                        }}
                                        // responsive="true"
                                        format="autorelaxed"
                                    />{" "}
                                </div> */}
                                <div className="mt-14 text-center">
                                    <Link
                                        href="/packages"
                                        className="btn_primary__v1"
                                    >
                                        Find Out More
                                        <svg
                                            width={20}
                                            height={20}
                                            viewBox="0 0 20 20"
                                            fill="none"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path
                                                d="M7.42505 16.5999L12.8584 11.1666C13.5 10.5249 13.5 9.4749 12.8584 8.83324L7.42505 3.3999"
                                                stroke="currentColor"
                                                strokeWidth="1.5"
                                                strokeMiterlimit={10}
                                                strokeLinecap="round"
                                                strokeLinejoin="round"
                                            />
                                        </svg>
                                    </Link>
                                </div>
                            </div>
                        </div>
                    </>
                </>
                {/*========== INSTAGRAM FEED STYLE START ==========*/}
                {/* <InstagramFeeds /> */}
                {/*========== INSTAGRAM FEED STYLE END ==========*/}
                {/*========== FOOTER STYLE START ==========*/}
                <Footer />
                {/*========== FOOTER STYLE END ==========*/}
            </div>
        </>
    );
}
